{"id":29457,"date":"2021-08-25T11:29:59","date_gmt":"2021-08-25T10:29:59","guid":{"rendered":"https:\/\/developer.kore.ai\/v8-1\/?p=29457"},"modified":"2021-08-25T11:30:17","modified_gmt":"2021-08-25T10:30:17","slug":"data-update-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v8-1\/docs\/bots\/api-guide\/data-update-api\/?lang=ja","title":{"rendered":"\u30c7\u30fc\u30bf\u66f4\u65b0API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>Used to update data into Data Table.<\/p>\n<p class=\"note\">To use this API, the app needs to be given Read and Write access to the Data Table from the Data Definition in DaaS (<a href=\"\/docs\/bots\/advanced-topics\/data-table\/#Assignments\" target=\"_blank\" rel=\"noopener noreferrer\">see here for details<\/a>)<\/p>\n<p><b>PUT<\/b> <span style=\"font-weight: 400;\"><code>https:\/\/{{host}}\/api\/public\/tables\/{{tableName}}<\/code><\/span><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>Kore.ai Bots Platform provides access to bot development using secured APIs. <a href=\"\/docs\/bots\/api-guide\/apis\/\" target=\"_blank\" rel=\"noopener noreferrer\">Refer here to learn more on how to use these APIs<\/a>.<\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h3>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td><span style=\"font-weight: 400;\">host<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Environment URL, for example, <code>https:\/\/bots.kore.ai<\/code><\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">tableName<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Name of the table to update data<\/span><\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"i\">\u672c\u6587\u30d1\u30e9\u30e1\u30fc\u30bf<\/span><\/h3>\n<table>\n<thead>\n<tr>\n<th>\u30d1\u30e9\u30e1\u30fc\u30bf<\/th>\n<th>\u8aac\u660e<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td>\u30af\u30a8\u30ea<\/td>\n<td>\u66f4\u65b0\u3055\u308c\u308b\u884c\u3092\u7279\u5b9a\u3059\u308b\u30d5\u30a3\u30eb\u30bf\u306e\u57fa\u6e96<\/p>\n<pre>&nbsp;&quot;query&quot;:{ &quot;expressions&quot;: [ {&quot;field&quot;: &quot;&lt;col1_name&gt;&quot;, &quot;operand&quot;: &quot;=\/!=\/&lt;\/&gt;&quot;, &quot;value&quot;: &quot;&lt;value1&gt;&quot;}, {&quot;field&quot;: &quot;&lt;col2_name&gt;&quot;, &quot;operand&quot;: &quot;=\/!=\/&lt;\/&gt;&quot;, &quot;value&quot;: &quot;&lt;value2&gt;&quot;} ], &quot;operator&quot;: &quot;and\/or&quot; }<\/pre>\n<\/td>\n<\/tr>\n<tr>\n<td>\u65e5\u4ed8<\/td>\n<td>\u66f4\u65b0\u3055\u308c\u308b\u5217\u306ecolumn_name: value pairing\u3092\u542b\u3080\u30aa\u30d6\u30b8\u30a7\u30af\u30c8<\/p>\n<pre>&quot;data&quot;: { &quot;&lt;col1_name&gt;&quot;: &quot;&lt;value1&gt;&quot;, &quot;&lt;col2_name&gt;&quot;: &quot;&lt;value2&gt;&quot;, }<\/pre>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"i-2\">\u8a8d\u8a3c<\/span><\/h3>\n<p>\u4ee5\u4e0b\u306e\u69cb\u6587\u3092\u4f7f\u7528\u3057\u3066\u3001JWT\u3092\u30d8\u30c3\u30c0\u30fc\u306b\u542b\u3080API\u3092\u547c\u3073\u51fa\u3057\u307e\u3059\u3002 <code>auth: {{JWT}}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"i-3\">\u5fdc\u7b54\u306e\u30b3\u30f3\u30c6\u30f3\u30c4\u30bf\u30a4\u30d7<\/span><\/h3>\n<p><code>application\/json<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"i-4\">\u30b5\u30f3\u30d7\u30eb\u30ea\u30af\u30a8\u30b9\u30c8<\/span><\/h3>\n<pre>curl -X PUT \\ http:\/\/{{host}}\/api\/public\/tables\/{{tableName}} \\ -H &apos;auth: {{<em>YOUR_JWT_ACCESS_TOKEN}}<\/em>&apos; \\ -H &apos;content-type: application\/json&apos; \\ -d &apos;{ &quot;query&quot;:{ &quot;expressions&quot;: [ {&quot;field&quot;: &quot;firstName&quot;, &quot;operand&quot;: &quot;=&quot;, &quot;value&quot;: &quot;Jane&quot;}, {&quot;field&quot;: &quot;lastName&quot;, &quot;operand&quot;: &quot;=&quot;, &quot;value&quot;: &quot;Doe&quot;} ], &quot;operator&quot;: &quot;and&quot; }, &quot;data&quot;: { &quot;First_Name&quot;: &quot;Jane&quot;, &quot;Last_Name&quot;: &quot;Smith&quot;, &quot;Number&quot;: 3453 } }&apos;<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"i-5\">\u30b5\u30f3\u30d7\u30eb\u5fdc\u7b54<\/span><\/h3>\n<pre>{ &quot;records&quot;: [ { &quot;_id&quot;: &quot;5e7ef67172034b399ace6b03&quot;, &quot;First_Name&quot;: &quot;Jane&quot;, &quot;Last_Name&quot;: &quot;Smith&quot;, &quot;Gender&quot;: &quot;Female&quot;, &quot;Number&quot;: 3453, &quot;Updated_On&quot;: &quot;2020-03-28T07:51:32.502Z&quot;, &quot;Created_On&quot;: &quot;2019-03-28T07:02:09.652Z&quot;, &quot;Updated_By&quot;: &quot;st-98e05480-0257-5e35-b6d2-66a323834f9d&quot;, &quot;Created_By&quot;: &quot;st-98e05480-0257-5e35-b6d2-66a323834f9d&quot;, &quot;sys_Id&quot;: &quot;sys-545dae21-8675-5a95-9c1b-a223bc6f4bc8&quot; } ] }<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"Used to update data into Data Table. To use this API, the app needs to be given Read and Write access to the Data Table from the Data Definition in DaaS (see here for details) PUT https:\/\/{{host}}\/api\/public\/tables\/{{tableName}} Kore.ai Bots Platform provides access to bot development using secured APIs. Refer here to learn more on how...","protected":false},"author":14,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-29457","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/posts\/29457","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/users\/14"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/comments?post=29457"}],"version-history":[{"count":1,"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/posts\/29457\/revisions"}],"predecessor-version":[{"id":29458,"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/posts\/29457\/revisions\/29458"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/media?parent=29457"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/categories?post=29457"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-1\/wp-json\/wp\/v2\/tags?post=29457"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}